.. _vim.fault.VimFault: ../../vim/fault/VimFault.rst


vim.fault.TooManyConsecutiveOverrides
=====================================
    :extends:

        `vim.fault.VimFault`_

  Thrown if there are too many consecutive user overrides of server-managed settings. There are some properties which users are allowed to set only in certain configurations. The system controls them in other configurations, and overrides all user updates. If there are such frequent user overrides in the system controlled state that the next update arrives before the previous override is complete, the system can enter a tight loop and appear unresponsive to the user. This would typically happen if the user overrides are generated by a script. If the number of such user overrides exceeds the supported maximum, we conceptually "throw" this fault. In practice, this is converted into a host-level ConfigIssue in VC.

Attributes:




